Last modified: 2012-09-27 01:10:43 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 23333 - Don't animate collapsing of tabs on load
Don't animate collapsing of tabs on load
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.16.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Adam Miller
http://commons.wikimedia.org/wiki/Mai...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2010-04-27 00:51 UTC by nkomura@wikimedia.org
Modified: 2012-09-27 01:10 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Screenshot of a Commons file page with collapsed tabs (238.15 KB, image/png)
2010-04-27 00:51 UTC, nkomura@wikimedia.org
Details

Description nkomura@wikimedia.org 2010-04-27 00:51:18 UTC
Created attachment 7336 [details]
Screenshot of a Commons file page with collapsed tabs

Commons has numerous tabs for both anonymous users and log-in users.  When you view a file page in the 1024 x 800 resolution, by navigating to other file pages or simply clicking Random file, the tab animation happens every time the page loads.  Although tabs are collapsing nicely, this frequent animation can be annoying to users as the animation expands and collapse to the same point over and over.  While reducing the number of tabs based on usage or collapsing based on the action is needed, can we prevent the animation from happening if the page layout is the same in the same resolution?
Comment 1 Trevor Parscal 2010-04-27 20:45:58 UTC
Tabs shouldn't be being dynamically added to the top-level like that, they should be added to the sub-menu. I fixed the script on commons to do just that.
Comment 2 Roan Kattouw 2010-04-28 10:30:32 UTC
Wouldn't this simply change the issue to tabs *expanding* on load in an animated way?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links